juzu

## Class Response.Render

- java.lang.Object
- - juzu.Response
  - - juzu.Response.Status
    - - juzu.Response.Body
      - - juzu.Response.Content
        - - juzu.Response.Render

- Enclosing class:
    Response

      public static class Response.Render
      extends Response.Content

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class juzu.Response

      `Response.Action, Response.Body, Response.Content, Response.Error, Response.Redirect, Response.Render, Response.Status, Response.View`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response.Render(int status, PropertyMap properties, Streamable streamable)`
    `Response.Render(int status, Streamable streamable)`
    `Response.Render(PropertyMap properties, Streamable streamable)`
    `Response.Render(Streamable streamable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Response.Render` | `with(PropertyType<Boolean> propertyType)` Set a boolean property to true.
    `<T> Response.Render` | `with(PropertyType<T> propertyType, T propertyValue)` Set a property, if the value is null, the property is removed.
    `Response.Render` | `withCharset(Charset charset)`
    `Response.Render` | `withHeader(String name, String... value)`
    `Response.Render` | `withMetaTag(String name, String value)`
    `Response.Render` | `withMimeType(String mimeType)`
    `Response.Render` | `withNo(PropertyType<Boolean> propertyType)` Set a boolean property to false.
    `<T> Response.Render` | `without(PropertyType<T> propertyType)` Removes a property.
    `Response.Render` | `withScripts(String... scripts)`
    `Response.Render` | `withStylesheets(String... stylesheets)`
    `Response.Render` | `withTitle(String title)`

    - ### Methods inherited from class juzu.Response.Content

      `getTitle, toString`

    - ### Methods inherited from class juzu.Response.Body

      `getCharset, getMimeType, getStreamable`

    - ### Methods inherited from class juzu.Response.Status

      `body, body, body, body, content, content, content, content, getCode`

    - ### Methods inherited from class juzu.Response

      `content, content, content, content, content, error, error, getProperties, notFound, notFound, notFound, notFound, notFound, ok, ok, ok, ok, ok, redirect, status`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Response.Render

          public Response.Render(int status,
                         PropertyMap properties,
                         Streamable streamable)

    - #### Response.Render

          public Response.Render(int status,
                         Streamable streamable)

    - #### Response.Render

          public Response.Render(PropertyMap properties,
                         Streamable streamable)

    - #### Response.Render

          public Response.Render(Streamable streamable)

  - ### Method Detail

    - #### with

          public <T> Response.Render with(PropertyType<T> propertyType,
                                 T propertyValue)
                               throws NullPointerException

      Description copied from class: `Response`
      Set a property, if the value is null, the property is removed.
      Overrides:
        `with` in class `Response.Content`
      Parameters:
        `propertyType` - the property type
        `propertyValue` - the property value
      Throws:
        `NullPointerException` - if the property type is null

    - #### without

          public <T> Response.Render without(PropertyType<T> propertyType)
                                  throws NullPointerException

      Description copied from class: `Response`
      Removes a property.
      Overrides:
        `without` in class `Response.Content`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### with

          public Response.Render with(PropertyType<Boolean> propertyType)
                               throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to true.
      Overrides:
        `with` in class `Response.Content`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### withNo

          public Response.Render withNo(PropertyType<Boolean> propertyType)
                                 throws NullPointerException

      Description copied from class: `Response`
      Set a boolean property to false.
      Overrides:
        `withNo` in class `Response.Content`
      Parameters:
        `propertyType` - the property type
      Throws:
        `NullPointerException` - if the property type is null

    - #### withMimeType

          public Response.Render withMimeType(String mimeType)

      Overrides:
        `withMimeType` in class `Response.Content`

    - #### withCharset

          public Response.Render withCharset(Charset charset)

      Overrides:
        `withCharset` in class `Response.Content`

    - #### withHeader

          public Response.Render withHeader(String name,
                                   String... value)

      Overrides:
        `withHeader` in class `Response.Content`

    - #### withTitle

          public Response.Render withTitle(String title)

      Overrides:
        `withTitle` in class `Response.Content`

    - #### withScripts

          public Response.Render withScripts(String... scripts)
                                      throws NullPointerException

      Overrides:
        `withScripts` in class `Response.Content`
      Throws:
        `NullPointerException`

    - #### withStylesheets

          public Response.Render withStylesheets(String... stylesheets)
                                          throws NullPointerException

      Overrides:
        `withStylesheets` in class `Response.Content`
      Throws:
        `NullPointerException`

    - #### withMetaTag

          public Response.Render withMetaTag(String name,
                                    String value)

      Overrides:
        `withMetaTag` in class `Response.Content`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.